php.net |  support |  documentation |  report a bug |  advanced search |  search howto |  statistics |  random bug |  login
Bug #58824 Make fails : firebird_statement.c: In function �firebird_fetch_blob�
Submitted: 2009-08-23 15:12 UTC Modified: 2013-10-09 08:23 UTC
From: mariohmol at gmail dot com Assigned: mariuz (profile)
Status: No Feedback Package: *General Issues
PHP Version: 5.2.6 OS: 2.6.28-15-generic #49-Ubuntu SMP
Private report: No CVE-ID: None
Have you experienced this issue?
Rate the importance of this bug to you:

 [2009-08-23 15:12 UTC] mariohmol at gmail dot com
Description:
------------
Hy,

i am trying to install PDO_FIREBIRD on my computer but error occurs on make (./configure works fine! ).

Att,



Reproduce code:
---------------
pear install http://pecl.php.net/get/PDO_FIREBIRD-0.2.tgz


Expected result:
----------------
I expect to install de PDO_FIREBIRD and be able to use it on PHP as:
new PDO("firebird:host .....");

Actual result:
--------------
/tmp/pear/download/PDO_FIREBIRD-0.2/firebird_statement.c: In function ?firebird_fetch_blob?:
/tmp/pear/download/PDO_FIREBIRD-0.2/firebird_statement.c:220: warning: initialization makes integer from pointer without a cast
/tmp/pear/download/PDO_FIREBIRD-0.2/firebird_statement.c: In function ?firebird_stmt_get_col?:
/tmp/pear/download/PDO_FIREBIRD-0.2/firebird_statement.c:328: error: expected ?)? before ?l?
/tmp/pear/download/PDO_FIREBIRD-0.2/firebird_statement.c:329: warning: spurious trailing ?%? in format
/tmp/pear/download/PDO_FIREBIRD-0.2/firebird_statement.c:331: error: expected ?)? before ?l?
/tmp/pear/download/PDO_FIREBIRD-0.2/firebird_statement.c:332: warning: spurious trailing ?%? in format
/tmp/pear/download/PDO_FIREBIRD-0.2/firebird_statement.c:334: error: expected ?)? before ?l?
/tmp/pear/download/PDO_FIREBIRD-0.2/firebird_statement.c:334: warning: too few arguments for format
/tmp/pear/download/PDO_FIREBIRD-0.2/firebird_statement.c:361: warning: format ?%ld? expects type ?long int?, but argument 3 has type ?ISC_LONG?
/tmp/pear/download/PDO_FIREBIRD-0.2/firebird_statement.c:365: error: expected ?)? before ?l?
/tmp/pear/download/PDO_FIREBIRD-0.2/firebird_statement.c:365: warning: spurious trailing ?%? in format
/tmp/pear/download/PDO_FIREBIRD-0.2/firebird_statement.c: In function ?firebird_bind_blob?:
/tmp/pear/download/PDO_FIREBIRD-0.2/firebird_statement.c:438: warning: initialization makes integer from pointer without a cast
make: ** [firebird_statement.lo] Erro 1
ERROR: `make' failed


Patches

Add a Patch

Pull Requests

Add a Pull Request

History

AllCommentsChangesGit/SVN commitsRelated reports
 [2010-04-12 22:00 UTC] rollyar at yahoo dot com
I have the same error on ubuntu 9.10 karmic x64
 [2011-12-11 17:37 UTC] mariuz@php.net
Please use the pdo that comes 
with the php source 

http://mapopa.blogspot.com/2009/04/php5-and-firebird-pdo-on-ubuntu-hardy.html

I will try to take over the pecl package and update it 

So i will leave for the moment the bug open as a reminder
 [2011-12-11 17:38 UTC] mariuz@php.net
-Summary: Make fails : firebird_statement.c: In function firebird_fetch_blob +Summary: Make fails : firebird_statement.c: In function �firebird_fetch_blob� -Package: PDO_FIREBIRD +Package: *General Issues -Assigned To: +Assigned To: mariuz
 [2013-10-09 08:23 UTC] datibbaw@php.net
-Status: Assigned +Status: No Feedback
 
PHP Copyright © 2001-2022 The PHP Group
All rights reserved.
Last updated: Tue Nov 29 15:05:53 2022 UTC